| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
IP: GPIO register block and driver
IP drivers: Common drivers used on multiple NXP devices

## Detailed Description

## Data Structures
struct | IP_GPIO_001_T
| GPIO port register block structure. More...

## Functions
STATIC INLINE void | IP_GPIO_Init (IP_GPIO_001_T *pGPIO)
| Initialize GPIO block.
STATIC INLINE void | IP_GPIO_WritePortBit (IP_GPIO_001_T *pGPIO, uint32_t Port, uint8_t Bit, bool Setting)
| Set a GPIO port/bit state.
STATIC INLINE void | IP_GPIO_WriteDirBit (IP_GPIO_001_T *pGPIO, uint32_t Port, uint8_t Bit, bool Setting)
| Set a GPIO direction.
STATIC INLINE bool | IP_GPIO_ReadPortBit (IP_GPIO_001_T *pGPIO, uint32_t Port, uint8_t Bit)
| Read a GPIO state.
STATIC INLINE bool | IP_GPIO_ReadDirBit (IP_GPIO_001_T *pGPIO, uint32_t Port, uint8_t Bit)
| Read a GPIO direction (out or in)

## Function Documentation

STATIC INLINE void IP_GPIO_Init | ( | IP_GPIO_001_T * | pGPIO | ) |

Initialize GPIO block.

Parameters

  pGPIO | : The Base Address of the GPIO block

Returns
  Nothing

Definition at line 67 of file gpio_001.h.

STATIC INLINE bool IP_GPIO_ReadDirBit | ( | IP_GPIO_001_T * | pGPIO,
|  | uint32_t | Port,
|  | uint8_t | Bit
| ) |  |

Read a GPIO direction (out or in)

Parameters

  pGPIO | : The Base Address of the GPIO block
  Port | : GPIO port to read
  Bit | : GPIO bit to read

Returns
  true of the GPIO is an output, false if input

Definition at line 120 of file gpio_001.h.

STATIC INLINE bool IP_GPIO_ReadPortBit | ( | IP_GPIO_001_T * | pGPIO,
|  | uint32_t | Port,
|  | uint8_t | Bit
| ) |  |

Read a GPIO state.

Parameters

  pGPIO | : The Base Address of the GPIO block
  Port | : GPIO port to read
  Bit | : GPIO bit to read

Returns
  true of the GPIO is high, false if low

Definition at line 108 of file gpio_001.h.

STATIC INLINE void IP_GPIO_WriteDirBit | ( | IP_GPIO_001_T * | pGPIO,
|  | uint32_t | Port,
|  | uint8_t | Bit,
|  | bool | Setting
| ) |  |

Set a GPIO direction.

Parameters

  pGPIO | : The Base Address of the GPIO block
  Port | : GPIO port to set
  Bit | : GPIO bit to set
  Setting | : true for output, false for input

Returns
  Nothing

Definition at line 91 of file gpio_001.h.

STATIC INLINE void IP_GPIO_WritePortBit | ( | IP_GPIO_001_T * | pGPIO,
|  | uint32_t | Port,
|  | uint8_t | Bit,
|  | bool | Setting
| ) |  |

Set a GPIO port/bit state.

Parameters

  pGPIO | : The Base Address of the GPIO block
  Port | : GPIO port to set
  Bit | : GPIO bit to set
  Setting | : true for high, false for low

Returns
  Nothing

Definition at line 78 of file gpio_001.h.